Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\SPI\Persistence\Notification\Handler Interface Reference

## Public Member Functions
| createNotification (CreateStruct $createStruct)
| Store Notification ValueObject in persistent storage. More...
| updateNotification (APINotification $notification, UpdateStruct $updateStruct)
| Update Notification ValueObject in persistent storage. More...
| countPendingNotifications (int $ownerId)
| Count users unread Notifications. More...
| getNotificationById (int $notificationId)
| Get Notification by its id. More...
| loadUserNotifications (int $userId, int $offset, int $limit)
| countNotifications (int $currentUserId)
| delete (APINotification $notification)

## Detailed Description

Definition at line 13 of file SPI/Persistence/Notification/Handler.php.

## Member Function Documentation

## ◆ countNotifications()

eZ\Publish\SPI\Persistence\Notification\Handler::countNotifications | ( | int | $currentUserId | ) |

Parameters

  int | $currentUserId |

Returns
  int

## ◆ countPendingNotifications()

eZ\Publish\SPI\Persistence\Notification\Handler::countPendingNotifications | ( | int | $ownerId | ) |

Count users unread Notifications.

Parameters

  int | $ownerId |

Returns
  int

## ◆ createNotification()

eZ\Publish\SPI\Persistence\Notification\Handler::createNotification | ( | CreateStruct | $createStruct | ) |

Store Notification ValueObject in persistent storage.

Parameters

  \eZ\Publish\SPI\Persistence\Notification\CreateStruct | $createStruct |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification

## ◆ delete()

eZ\Publish\SPI\Persistence\Notification\Handler::delete | ( | APINotification | $notification | ) |

Parameters

  \eZ\Publish\API\Repository\Values\Notification\Notification | $notification |

## ◆ getNotificationById()

eZ\Publish\SPI\Persistence\Notification\Handler::getNotificationById | ( | int | $notificationId | ) |

Get Notification by its id.

Parameters

  int | $notificationId |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification

## ◆ loadUserNotifications()

eZ\Publish\SPI\Persistence\Notification\Handler::loadUserNotifications | ( | int | $userId,
|  | int | $offset,
|  | int | $limit
| ) |  |

Parameters

  int | $userId |
  int | $offset |
  int | $limit |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification[]

## ◆ updateNotification()

eZ\Publish\SPI\Persistence\Notification\Handler::updateNotification | ( | APINotification | $notification,
|  | UpdateStruct | $updateStruct
| ) |  |

Update Notification ValueObject in persistent storage.

There's no edit feature but it's essential to mark Notification as read.

Parameters

  \eZ\Publish\API\Repository\Values\Notification\Notification | $notification |
  \eZ\Publish\SPI\Persistence\Notification\UpdateStruct | $updateStruct |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification

The documentation for this interface was generated from the following file:

- SPI/Persistence/Notification/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.